Bug 980505 - Live ISO image cannot be built because of dependency problems
Live ISO image cannot be built because of dependency problems
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: LiveCD (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 10:31 EDT by Andras Horvath
Modified: 2015-02-17 10:47 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:47:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andras Horvath 2013-07-02 10:31:16 EDT
Description of problem:
A live ISO image cannot be built with from the official desktop kickstart config.

Version-Release number of selected component (if applicable):

How reproducible:
Always.

Steps to Reproduce:
1. su -
2. yum install livecd-tools spin-kickstarts
3. livecd-creator --config=/usr/share/spin-kickstarts/fedora-live-desktop.ks

Actual results:
/usr/lib/python2.7/site-packages/pykickstart/commands/partition.py:309: UserWarning: A partition with the mountpoint / has already been defined.
  warnings.warn(_("A partition with the mountpoint %s has already been defined.") % pd.mountpoint)
Error creating Live CD : Failed to build transaction : 1:libreoffice-calc-4.1.0.1-3.fc19.x86_64 requires liborcus-parser-0.6.so.0()(64bit)
xulrunner-22.0-1.fc19.x86_64 requires sqlite >= 3.7.17
gnome-shell-3.8.3-3.fc19.x86_64 requires mutter(x86-64) >= 3.8.3
1:libreoffice-calc-4.1.0.1-3.fc19.x86_64 requires liborcus-0.6.so.0()(64bit)
1:libreoffice-core-4.1.0.1-3.fc19.x86_64 requires libharfbuzz-icu.so.0()(64bit)

Expected results:
An up-to-date ISO image of Fedora 19 system is built - the same as the official desktop one.

Additional info:
The same process works fine on Fedora 18 x64.
Comment 1 Fedora End Of Life 2015-01-09 13:36:44 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 10:47:02 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.